FSCK.EROFS(1)

NAME
fsck.erofs - tool to check an EROFS filesystem's integrity

SYNOPSIS
fsck.erofs [OPTIONS] IMAGE

DESCRIPTION
fsck.erofs is used to scan an EROFS filesystem IMAGE and check the integrity of it.

OPTIONS

-V, --version
    Print the version number of fsck.erofs and exit.

-d #
    Specify the level of debugging messages. The default is 2, which shows basic warning messages.

-p  Print total compression ratio of all files including compressed and non-compressed files.

--device=path
    Specify an extra blob device to be used together. You may give multiple --device options in the correct order.

--extract[=directory]
    Test to extract the whole file system. It scans all inode data, including compressed inode data, which leads to more I/O and CPU load, so it might take a long time depending on the image size. Optionally extract contents of the IMAGE to directory.

--no-sbcrc
    Bypass the on-disk superblock checksum verification.

--nid=#
    Specify the target inode by its NID for checking or extraction. The default is the root inode.

--path=path
    Specify the target inode by its path for checking or extraction. If both --nid and --path are specified, --path takes precedence.

--[no-]xattrs
    Whether to dump extended attributes during extraction (default off).

--xattr-inode-digest
    Verify per-inode digests recorded as extended attributes during image creation with mkfs.erofs --xattr-inode-digest.

-h, --help
    Display help string and exit.

-a, -A, -y
    These options do nothing at all; they are provided only for compatibility with the fsck programs of other filesystems.

AUTHOR
This version of fsck.erofs is written by Daeho Jeong <daehojeong@google.com>.

AVAILABILITY
fsck.erofs is part of erofs-utils package and is available from git://git.kernel.org/pub/scm/linux/kernel/git/xiang/erofs-utils.git.

SEE ALSO
fsck(8).